## GESOperation GESOperation — Base Class for effects and overlays |

## Synopsis

    #include <ges/ges.h>

                        GESOperation;
                        GESOperationClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESOperation
                               +----GESTransition
                               +----GESBaseEffect
                               +----GESTextOverlay

## Implemented Interfaces

GESOperation implements GESExtractable and GESMetaContainer.

## Description

## Details

### GESOperation

    typedef struct _GESOperation GESOperation;

Base class for overlays, transitions, and effects

### GESOperationClass

    typedef struct {
    } GESOperationClass;